TurboTax FAQ
TurboTax FAQ
43 people found this useful

What happens if I install TurboTax 2016 or 2017 on Mac OS X 10.9 or 10.10?

You won't be able to install TurboTax 2017 for the Mac on OS X 10.9.5 (Mavericks) or 10.10.5 (Yosemite). It will install and run on 10.11 (El Capitan) or higher. More info

You can still use TurboTax 2016 on 10.9.5 and 10.10.5, but it might not run as well as it would on El Capitan, plus your computer may not be adequately protected from the latest security threats. However, we will continue to support TurboTax 2016 installed on these older operating systems, unless the problem is solely attributable to the operating system itself.


GEN88066